Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Interface TypeNode

All Known Implementing Classes:
  ASTAdditiveExpression, ASTAllocationExpression, ASTAndExpression, ASTAnnotationTypeDeclaration, ASTBooleanLiteral, ASTCastExpression, ASTClassOrInterfaceDeclaration, ASTClassOrInterfaceType, ASTCompilationUnit, ASTConditionalAndExpression, ASTConditionalExpression, ASTConditionalOrExpression, ASTEnumDeclaration, ASTEqualityExpression, ASTExclusiveOrExpression, ASTExpression, ASTFieldDeclaration, ASTImportDeclaration, ASTInclusiveOrExpression, ASTInstanceOfExpression, ASTLiteral, ASTMarkerAnnotation, ASTMultiplicativeExpression, ASTName, ASTNullLiteral, ASTPostfixExpression, ASTPreDecrementExpression, ASTPreIncrementExpression, ASTPrimaryExpression, ASTPrimaryPrefix, ASTPrimitiveType, ASTReferenceType, ASTRelationalExpression, ASTShiftExpression, ASTStatementExpression, ASTType, ASTTypeDeclaration, ASTUnaryExpression, ASTUnaryExpressionNotPlusMinus, ASTVariableDeclarator, ASTVariableDeclaratorId, SimpleJavaAccessTypeNode, SimpleJavaTypeNode

    public interface TypeNode

This interface allows a Java Class to be associtated with a node.

Method Summary
`java.lang.Class<?>` | `getType()` Get the Java Class associated with this node.
`void` | `setType(java.lang.Class<?> type)` Set the Java Class associated with this node.

Method Detail

### getType

    java.lang.Class<?> getType()

  Get the Java Class associated with this node.

  Returns:
    The Java Class, may return `null`.

### setType

    void setType(java.lang.Class<?> type)

  Set the Java Class associated with this node.

  Parameters:
    `type` - A Java Class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.